commit 552870a0b90f03217df4a96e5c539f5b79952c02
Author: freddy77 <freddy77>
Date:   Mon Jan 25 23:05:58 2010 +0000

    fix visilibility warning using mingw

diff --git a/ChangeLog b/ChangeLog
index c5958ee..8ad300a 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,11 @@
+Tue Jan 26 00:05:46 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/ctlib.h include/dblib.h include/des.h include/hmac_md5.h:
+	* include/md4.h include/md5.h include/replacements.h:
+	* include/replacements/readpassphrase.h include/tds.h:
+	* include/tdsconvert.h include/tdsiconv.h include/tdsodbc.h:
+	* include/tdsstring.h src/tds/tds_checks.h:
+	- fix visilibility warning using mingw
+
 Mon Jan 25 15:23:22 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* win32/version.rc.in: update copyright note
 
@@ -2170,4 +2178,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2951 2010/01/25 14:24:11 freddy77 Exp $
+$Id: ChangeLog,v 1.2952 2010/01/25 23:05:58 freddy77 Exp $
diff --git a/include/ctlib.h b/include/ctlib.h
index 98e213d..0d35b98 100644
--- a/include/ctlib.h
+++ b/include/ctlib.h
@@ -24,7 +24,7 @@
  * Internal (not part of the exposed API) prototypes and such.
  */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -36,7 +36,7 @@ extern "C"
 #endif
 #endif
 
-static const char rcsid_ctlib_h[] = "$Id: ctlib.h,v 1.28 2009/11/26 09:47:41 freddy77 Exp $";
+static const char rcsid_ctlib_h[] = "$Id: ctlib.h,v 1.29 2010/01/25 23:05:58 freddy77 Exp $";
 static const void *const no_unused_ctlib_h_warn[] = { rcsid_ctlib_h, no_unused_ctlib_h_warn };
 
 #include <tds.h>
@@ -286,7 +286,7 @@ int _cs_locale_copy_inplace(CS_LOCALE *new_locale, CS_LOCALE *orig);
 }
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/dblib.h b/include/dblib.h
index 9da44de..f97b0a2 100644
--- a/include/dblib.h
+++ b/include/dblib.h
@@ -20,7 +20,7 @@
 #ifndef _dblib_h_
 #define _dblib_h_
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -32,7 +32,7 @@ extern "C"
 #endif
 #endif
 
-/* $Id: dblib.h,v 1.45 2008/12/12 13:56:11 freddy77 Exp $ */
+/* $Id: dblib.h,v 1.46 2010/01/25 23:05:58 freddy77 Exp $ */
 
 typedef enum tag_DB_RESULT_STATE {
 	  _DB_RES_INIT
@@ -199,7 +199,7 @@ extern EHANDLEFUNC _dblib_err_handler;
 }
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/des.h b/include/des.h
index 6eaaa44..612edf1 100644
--- a/include/des.h
+++ b/include/des.h
@@ -1,9 +1,9 @@
 #ifndef DES_H
 #define DES_H
 
-/* $Id: des.h,v 1.12 2007/03/12 13:28:50 freddy77 Exp $ */
+/* $Id: des.h,v 1.13 2010/01/25 23:05:58 freddy77 Exp $ */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -23,7 +23,7 @@ int tds_des_set_key(DES_KEY * dkey, des_cblock user_key, int len);
 void tds_des_encrypt(DES_KEY * key, des_cblock block);
 void _mcrypt_decrypt(DES_KEY * key, unsigned char *block);
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/hmac_md5.h b/include/hmac_md5.h
index 3999b44..7a66c42 100644
--- a/include/hmac_md5.h
+++ b/include/hmac_md5.h
@@ -20,15 +20,15 @@
 #ifndef _hmac_md5_h_
 #define _hmac_md5_h_
 
-/* $Id: hmac_md5.h,v 1.2 2008/12/09 09:39:14 freddy77 Exp $ */
+/* $Id: hmac_md5.h,v 1.3 2010/01/25 23:05:58 freddy77 Exp $ */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 void hmac_md5(const unsigned char key[16],
               const unsigned char* data, size_t data_len,
               unsigned char* digest);
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/md4.h b/include/md4.h
index 7cc636b..8d64bc3 100644
--- a/include/md4.h
+++ b/include/md4.h
@@ -1,9 +1,9 @@
 #ifndef MD4_H
 #define MD4_H
 
-/* $Id: md4.h,v 1.8 2009/01/16 20:27:56 jklowden Exp $ */
+/* $Id: md4.h,v 1.9 2010/01/25 23:05:58 freddy77 Exp $ */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -21,7 +21,7 @@ void MD4Transform(TDS_UINT buf[4], TDS_UINT const in[16]);
 
 typedef struct MD4Context MD4_CTX;
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/md5.h b/include/md5.h
index 86efc0d..26cbe20 100644
--- a/include/md5.h
+++ b/include/md5.h
@@ -1,9 +1,9 @@
 #ifndef MD5_H
 #define MD5_H
 
-/* $Id: md5.h,v 1.5 2009/01/16 20:27:56 jklowden Exp $ */
+/* $Id: md5.h,v 1.6 2010/01/25 23:05:58 freddy77 Exp $ */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -23,7 +23,7 @@ void MD5Transform(TDS_UINT buf[4], TDS_UINT const in[16]);
  */
 typedef struct MD5Context MD5_CTX;
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/replacements.h b/include/replacements.h
index bde9cff..9ae9f9f 100644
--- a/include/replacements.h
+++ b/include/replacements.h
@@ -20,7 +20,7 @@
 #ifndef _replacements_h_
 #define _replacements_h_
 
-/* $Id: replacements.h,v 1.25 2010/01/11 18:04:04 jklowden Exp $ */
+/* $Id: replacements.h,v 1.26 2010/01/25 23:05:58 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include "tds_sysdep_public.h"
@@ -39,7 +39,7 @@
 # include <libgen.h>
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -126,7 +126,7 @@ extern int optind, offset, opterr;
 }
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/replacements/readpassphrase.h b/include/replacements/readpassphrase.h
index a1c0a0d..0b23465 100644
--- a/include/replacements/readpassphrase.h
+++ b/include/replacements/readpassphrase.h
@@ -32,7 +32,7 @@
 #ifndef _READPASSPHRASE_H_
 #define _READPASSPHRASE_H_
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -50,7 +50,7 @@ char * readpassphrase(const char *, char *, size_t, int);
 
 #endif /* HAVE_READPASSPHRASE */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/tds.h b/include/tds.h
index 634d348..1571531 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -21,7 +21,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.326 2010/01/22 10:43:48 freddy77 Exp $ */
+/* $Id: tds.h,v 1.327 2010/01/25 23:05:58 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -41,7 +41,7 @@ typedef struct tds_socket TDSSOCKET;
 #include "tds_sysdep_private.h"
 #endif /* _FREETDS_LIBRARY_SOURCE */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -1568,11 +1568,11 @@ unsigned int tds_gettime_ms(void);
 void tdsdump_off(void);
 void tdsdump_on(void);
 int tdsdump_isopen(void);
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 int tdsdump_open(const char *filename);
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 void tdsdump_close(void);
@@ -1680,7 +1680,7 @@ int tds_writetext_end(TDSSOCKET *tds);
 }
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/tdsconvert.h b/include/tdsconvert.h
index 9699247..90d12d7 100644
--- a/include/tdsconvert.h
+++ b/include/tdsconvert.h
@@ -20,7 +20,7 @@
 #ifndef _tdsconvert_h_
 #define _tdsconvert_h_
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -32,7 +32,7 @@ extern "C"
 #endif
 #endif
 
-/* $Id: tdsconvert.h,v 1.25 2009/05/21 16:39:38 freddy77 Exp $ */
+/* $Id: tdsconvert.h,v 1.26 2010/01/25 23:05:58 freddy77 Exp $ */
 
 typedef union conv_result
 {
@@ -101,7 +101,7 @@ size_t tds_strftime(char *buf, size_t maxsize, const char *format, const TDSDATE
 }
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/tdsiconv.h b/include/tdsiconv.h
index 3bd08fe..3ca83f6 100644
--- a/include/tdsiconv.h
+++ b/include/tdsiconv.h
@@ -20,7 +20,7 @@
 #ifndef _tds_iconv_h_
 #define _tds_iconv_h_
 
-/* $Id: tdsiconv.h,v 1.37 2008/10/17 08:39:16 freddy77 Exp $ */
+/* $Id: tdsiconv.h,v 1.38 2010/01/25 23:05:58 freddy77 Exp $ */
 
 #if HAVE_ICONV
 #include <iconv.h>
@@ -50,7 +50,7 @@ typedef void *iconv_t;
 #include <stdlib.h>
 #endif /* HAVE_STDLIB_H */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -172,7 +172,7 @@ TDSICONV *tds_iconv_get(TDSSOCKET * tds, const char *client_charset, const char
 }
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/tdsodbc.h b/include/tdsodbc.h
index 93416ed..f72cfe9 100644
--- a/include/tdsodbc.h
+++ b/include/tdsodbc.h
@@ -66,9 +66,9 @@ extern "C"
 #endif
 #endif
 
-/* $Id: tdsodbc.h,v 1.117 2010/01/10 14:43:11 freddy77 Exp $ */
+/* $Id: tdsodbc.h,v 1.118 2010/01/25 23:05:59 freddy77 Exp $ */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #define ODBC_API SQL_API __attribute__((externally_visible))
 #else
@@ -558,7 +558,7 @@ size_t sqlwcslen(const SQLWCHAR * s);
 #error SIZEOF_SQLWCHAR not supported !!
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/include/tdsstring.h b/include/tdsstring.h
index 6e1aadc..ac85bac 100644
--- a/include/tdsstring.h
+++ b/include/tdsstring.h
@@ -20,9 +20,9 @@
 #ifndef _tdsstring_h_
 #define _tdsstring_h_
 
-/* $Id: tdsstring.h,v 1.20 2009/01/16 20:27:57 jklowden Exp $ */
+/* $Id: tdsstring.h,v 1.21 2010/01/25 23:05:59 freddy77 Exp $ */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -71,7 +71,7 @@ DSTR* tds_dstr_alloc(DSTR *s, size_t length);
 
 /** @} */
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 
diff --git a/src/tds/tds_checks.h b/src/tds/tds_checks.h
index bbb474c..64738ee 100644
--- a/src/tds/tds_checks.h
+++ b/src/tds/tds_checks.h
@@ -20,8 +20,8 @@
 #ifndef TDS_CHECKS_H
 #define TDS_CHECKS_H
 
-/* $Id: tds_checks.h,v 1.5 2009/11/26 09:07:28 freddy77 Exp $ */
-#if defined(__GNUC__) && __GNUC__ >= 4
+/* $Id: tds_checks.h,v 1.6 2010/01/25 23:05:59 freddy77 Exp $ */
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
 
@@ -50,7 +50,7 @@ void tds_check_cursor_extra(const TDSCURSOR * cursor);
 void tds_check_dynamic_extra(const TDSDYNAMIC * dynamic);
 #endif
 
-#if defined(__GNUC__) && __GNUC__ >= 4
+#if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility pop
 #endif
 #endif /* TDS_CHECKS_H */

